package com.kxs.user.biz.constant.enums;

import lombok.Getter;
import lombok.RequiredArgsConstructor;

/**
 * 交易类型枚举
 *
 * @author 没秃顶的码农
 * @date 2024-03-25
 */
@Getter
@RequiredArgsConstructor
public enum UserVariationTypeEnum {

    /**
     * 盟主金额变动记录类型
     */
    LEADER_SAVINGS(11, "盟主储蓄金增减单"),
    LEADER_WITHDRAW_BALANCE(12, "可提现余额增减单"),
    LEADER_SAVINGS_WITHDRAW (13, "盟主储蓄金减少可提现余额增加"),
    /**
     * 合伙人进入变动类型
     */
    PARTNER_WITHDRAW_BALANCE(0, "可提现余额增减单"),
    PARTNER_USE_BALANCE(1, "可使用余额增减"),
    PARTNER_STORE_AMOUNT (2, "关键分仓额度增减");

    /**
     * 类型
     */
    private final Integer type;

    /**
     * 描述
     */
    private final String description;
}
